Subject: bug#18870: \emsp and alignment in org clock report

From: Ben Finney <[email-masked]>
Date: Wed, 18 Mar 2015 08:47:58 +1100

On 17-Mar-2015, Nicolas Goaziou wrote:
> Hello,
> 
> Ben Finney <[email-masked]> writes:
> 
> > The "\emsp" should be space characters (of some kind; either
> > U+0020 SPC or U+2003 EM SPACE) with correct alignment for the
> > character width. Displaying literal "\emsp" is a regression and
> > should not happen.
> 
> This is not a regression. This change favors a correct export over
> a correct display.

The behaviour described – displaying “\emsp” instead of space
characters – is a regression. That's what is being reported in this bug.

> Having some space character is not desirable as it would just move
> the problem the other way around (i.e., indentation would not appear
> during export)

So the U+2003 EM SPACE character should be translated *during export*,
and not be literally in the displayed text.

> In a nutshell, the current situation is not perfect, but we have yet
> to find a proper character to preserve both indentation during
> export and readability.

IS the above suggestion an acceptable solution?

> Note that this is not LaTeX-specific markup. This is called an entity,
> and is correctly exported in various back-ends.

But not for display, which is the bug to be fixed here.

Thanks for working on Org mode.

-- 
 \       “The future always arrives too fast, and in the wrong order.” |
  `\                                                    —Alvin Toffler |
_o__)                                                                  |
Ben Finney <[email-masked]>